%define upstream_name    Gtk2-Recent
%define upstream_version 0.031

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18

Summary:	Perl module for the Recently used Files list
License:	GPL+ or Artistic
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Gtk2-Recent-0.031-error-format-security.patch

BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib) > 1.00
Buildrequires:	perl(Gnome2::VFS)
BuildRequires:	perl(Gtk2)
Buildrequires:	perl-devel
BuildRequires: pkgconfig(libgnomeui-2.0) >= 2.0.0
BuildRequires: pkgconfig(libbonoboui-2.0) >= 2.0.0

Requires:	gtk+2

%description
This module allows a Perl programmer to access the Recently used Files list
using the libegg component.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
%patch0 -b .fmtsec

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/Gtk2


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.31.0-18.mga4
+ Revision: 524884
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.31.0-17.mga4
+ Revision: 431568
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.31.0-16.mga3
+ Revision: 389361
- cleanup br

* Sun Jan 13 2013 umeabot <umeabot> 0.31.0-15.mga3
+ Revision: 367908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.31.0-14.mga3
+ Revision: 250742
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.31.0-13.mga2
+ Revision: 135828
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.31.0-12.mga2
+ Revision: 104640
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.31.0-11.mga1
+ Revision: 37355
- rebuild
- mageia rebuild
- imported package perl-Gtk2-Recent

